org.eclipse.ease.ui.preferences

## Interface IPreferenceConstants

    public interface IPreferenceConstants

Constant definitions for plug-in preferences.

### Field Summary

Fields
`static String` `CONSOLE_BASE`
`static String` `CONSOLE_OPEN_ON_ERR`
`static String` `CONSOLE_OPEN_ON_OUT`
`static boolean` `DEFAULT_SCRIPTS_ALLOW_REMOTE_ACCESS`
`static boolean` `DEFAULT_SHELL_AUTOFOCUS`
`static String` `DEFAULT_SHELL_DEFAULT_ENGINE`
`static int` `DEFAULT_SHELL_HISTORY_LENGTH`
`static boolean` `DEFAULT_SHELL_KEEP_COMMAND`
`static boolean` `DEFAULT_SHELL_MODULES_AS_LIST`
`static String` `INIT_COMMANDS`
`static String` `NODE_SHELL`
`static String` `SCRIPT_STORAGE_DEFAULT`
`static String` `SCRIPT_STORAGE_LOCATION`
`static String` `SCRIPT_STORAGE_RECURSIVE`
`static String` `SCRIPT_STORAGE_SELECTED`
`static String` `SCRIPTS_ALLOW_REMOTE_ACCESS`
`static String` `SHELL_AUTOFOCUS`
`static String` `SHELL_BASE`
`static String` `SHELL_DEFAULT_ENGINE`
`static String` `SHELL_HISTORY_LENGTH`
`static String` `SHELL_KEEP_COMMAND`
`static String` `SHELL_MODULES_AS_LIST`
`static String` `SHELL_STARTUP`
`static String` `VALUE_OUTPUT_CONSOLE`
`static String` `VALUE_OUTPUT_NONE`
`static String` `VALUE_OUTPUT_SHELL`

### Field Detail

#### VALUE_OUTPUT_CONSOLE

    static final String VALUE_OUTPUT_CONSOLE

See Also:
  Constant Field Values

#### VALUE_OUTPUT_SHELL

    static final String VALUE_OUTPUT_SHELL

See Also:
  Constant Field Values

#### VALUE_OUTPUT_NONE

    static final String VALUE_OUTPUT_NONE

See Also:
  Constant Field Values

#### SHELL_BASE

    static final String SHELL_BASE

See Also:
  Constant Field Values

#### INIT_COMMANDS

    static final String INIT_COMMANDS

See Also:
  Constant Field Values

#### CONSOLE_BASE

    static final String CONSOLE_BASE

See Also:
  Constant Field Values

#### CONSOLE_OPEN_ON_OUT

    static final String CONSOLE_OPEN_ON_OUT

See Also:
  Constant Field Values

#### CONSOLE_OPEN_ON_ERR

    static final String CONSOLE_OPEN_ON_ERR

See Also:
  Constant Field Values

#### SCRIPT_STORAGE_LOCATION

    static final String SCRIPT_STORAGE_LOCATION

See Also:
  Constant Field Values

#### SCRIPT_STORAGE_DEFAULT

    static final String SCRIPT_STORAGE_DEFAULT

See Also:
  Constant Field Values

#### SCRIPT_STORAGE_RECURSIVE

    static final String SCRIPT_STORAGE_RECURSIVE

See Also:
  Constant Field Values

#### SCRIPT_STORAGE_SELECTED

    static final String SCRIPT_STORAGE_SELECTED

See Also:
  Constant Field Values

#### NODE_SHELL

    static final String NODE_SHELL

See Also:
  Constant Field Values

#### SHELL_HISTORY_LENGTH

    static final String SHELL_HISTORY_LENGTH

See Also:
  Constant Field Values

#### DEFAULT_SHELL_HISTORY_LENGTH

    static final int DEFAULT_SHELL_HISTORY_LENGTH

See Also:
  Constant Field Values

#### SHELL_AUTOFOCUS

    static final String SHELL_AUTOFOCUS

See Also:
  Constant Field Values

#### DEFAULT_SHELL_AUTOFOCUS

    static final boolean DEFAULT_SHELL_AUTOFOCUS

See Also:
  Constant Field Values

#### SHELL_KEEP_COMMAND

    static final String SHELL_KEEP_COMMAND

See Also:
  Constant Field Values

#### DEFAULT_SHELL_KEEP_COMMAND

    static final boolean DEFAULT_SHELL_KEEP_COMMAND

See Also:
  Constant Field Values

#### SHELL_STARTUP

    static final String SHELL_STARTUP

See Also:
  Constant Field Values

#### SHELL_MODULES_AS_LIST

    static final String SHELL_MODULES_AS_LIST

See Also:
  Constant Field Values

#### DEFAULT_SHELL_MODULES_AS_LIST

    static final boolean DEFAULT_SHELL_MODULES_AS_LIST

See Also:
  Constant Field Values

#### SHELL_DEFAULT_ENGINE

    static final String SHELL_DEFAULT_ENGINE

See Also:
  Constant Field Values

#### DEFAULT_SHELL_DEFAULT_ENGINE

    static final String DEFAULT_SHELL_DEFAULT_ENGINE

See Also:
  Constant Field Values

#### SCRIPTS_ALLOW_REMOTE_ACCESS

    static final String SCRIPTS_ALLOW_REMOTE_ACCESS

See Also:
  Constant Field Values

#### DEFAULT_SCRIPTS_ALLOW_REMOTE_ACCESS

    static final boolean DEFAULT_SCRIPTS_ALLOW_REMOTE_ACCESS

See Also:
  Constant Field Values